首页 » PHP笔记 » yii2框架安装教程(框架版本2.0)

yii2框架安装教程(框架版本2.0)

高蒙 2016/01/13 09:44 5.1k浏览 0评论 Yii2


对于yii2框架安装之前一直很困扰我,网上看了很多的教程,都不能成功,还有就是官网的下载包一直都是下载不下来。着实很纠结。

还好之前通过Composer安装教程下载了一份高级版的程序模版,这里刚好全部的复制下来,自己通过归档文件直接安装的方式再重新的安装一遍。

通过归档文件安装只要简单的通过dos界面运行就可以了。

下面是记录安装的过程,方便以后查阅。

第一步:我们将程序复制到相应的文件夹。直接cmd进入dos界面,然后将init.bat文件拖入到dos界面中,enter回车执行。

如果在执行init.bat文件时,出现报错php.exe不是内部或外部命令,也不是可运行的程序,那么可以直接先去查看这篇教程,解决报错在重新的回来安装yii2框架。

可以站内搜索:yii2框架安装、init.bat报错、php.exe不是内部或外部命令

我们会看到 development(开发环境) 和 production(生产环境),我们直接选择开发环境就可以了。

1.jpg

2.jpg

第二步:我们将yii.bat文件拖到dos里面,直接enter回车执行。操作是初始化yii框架。在界面中我们可以看到当前yii2框架的版本。

3.jpg

3_1.jpg

第三步:在浏览器的地址栏输入我们前台访问的地址。http://localhost/frontend/web/index.php

到了这个步骤可能会出现报错。

报错1:

Invalid Parameter – yii\base\InvalidParamException
yii\web\Request::cookieValidationKey must be configured with a secret key.

4.jpg

这里的意思就是说,你访问yii2需要一个密钥,我们直接加上一个代码就可以了。

文件地址:你的app路径/frontend/config/main-local.php

修改这段代码: 'cookieValidationKey' => '', 里面的值,可以随便的填写。

4_1.jpg

 

报错2:这个报错可能是我自己的安装包的问题。不是大众出现的问题。

Invalid Parameter – yii\base\InvalidParamException
The file or directory to be published does not exist: E:\UPUPW_NP5.5\vhosts\test.yii.com/vendor\bower/jquery/dist

4.jpg

这里的报错是说,没有找到一些插件。我的插件位置不对,将所需的插件都放在这个目录里面就可以了。

我的安装包把我的插件都安装在bower-asset目录里面了,这里我只要拉出来就可以了。

5.jpg

6.jpg

经过上面的几个步骤,就可以解决了yii2框架的安装。现在重新的刷新你的页面试试,看到下面的界面说明yii2框架安装成功了。

7.jpg

 

 

 




相关文章

我有话说

站长昵称:(*)

输入内容:

选个头像:

评论列表

    ...

    高蒙

    男, PHP程序猿

    文章

    487

    标签

    42

    热度

    10w+

    南京, 江苏, 中国

    人生要是没有理想, 那跟咸鱼有什么分别。